
.strength-meter {
    display: flex;
    height: 5px;
    margin-top: 5px;
}
.strength-meter div {
    flex: 1;
    height: 100%;
    background: gray;
    margin: 0 1px;
}
.strength-meter div.weak {
    background: red;
}
.strength-meter div.fair {
    background: orange;
}
.strength-meter div.good {
    background: yellow;
}
.strength-meter div.strong {
    background: green;
}

.text-end {
    text-align: right !important;
}



.btn-copy{
    position: absolute;
    top: 35px;
    right: 55px;
    height: 38px;
    width: 40px;
    border: none;
    background: transparent;
    color: gray;
}


.btn-suggest{
    position: absolute;
    top: 35px;
    right: -35px;
    height: 38px;
    width: 40px;
    border-radius: 5px;
    border: 1px solid #ccc;

}

.btn-show{
    position: absolute;
    top: 35px;
    right: 15px;
    height: 38px;
    width: 40px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border: 1px solid #ccc;
}


.table-responsive, .dataTable-wrapper .dataTable-container {
    overflow-x: auto;
    /* overflow-x: hidden; */
    -webkit-overflow-scrolling: touch;
  }

  @media only screen and (min-width: 1200px) {
    .table-responsive, .dataTable-wrapper .dataTable-container {
        overflow-x: hidden;
        display: table;
    }
}


  @media only screen and (max-width: 768px) {
      .table-responsive, .dataTable-wrapper .dataTable-container {
          overflow-x: auto;
      }
  }

  @media (max-width: 575.98px) {
    .table-responsive-sm {
      overflow-x: auto;
      -webkit-overflow-scrolling: touch;
    }
  }
  @media (max-width: 767.98px) {
    .table-responsive-md {
      overflow-x: auto;
      -webkit-overflow-scrolling: touch;
    }
  }
  @media (max-width: 991.98px) {
    .table-responsive-lg {
      overflow-x: auto;
      -webkit-overflow-scrolling: touch;
    }
  }
  @media (max-width: 1199.98px) {
    .table-responsive-xl {
      overflow-x: auto;
      -webkit-overflow-scrolling: touch;
    }
  }
  @media (max-width: 1399.98px) {
    .table-responsive-xxl {
      overflow-x: auto;
      -webkit-overflow-scrolling: touch;
    }
  }


/* Input with trash icon  */
/* Container for input and trash icon */
.input-with-trash {
    position: relative;
    display: inline-block;
    width: 100%;
}

/* Adjust the input to create space for the trash icon */
.input-with-trash input {
    width: 100%;
    padding-right: 30px; /* Space for trash icon */
}

/* Initially hide the trash icon */
.trash-icon {
    position: absolute;
    top: 50%;
    right: 10px; /* Adjust this value for positioning */
    transform: translateY(-50%);
    color: #ccc;
    cursor: pointer;
    opacity: 0;  /* Make the icon invisible but still clickable */

}

/* Display the trash icon when input is focused, hovered, or not empty */
.input-with-trash input:focus + .trash-icon,
.input-with-trash input:not(:empty) + .trash-icon {
    opacity: 1;  /* Make the icon visible */
}

/* Change color on hover */
.trash-icon:hover {
    color: red;
}

.tab-note{

    font-style: italic;
}


.suggestion-list {
    display: none; /* Hide suggestions by default */
    list-style: none;
    margin: 0;
    padding: 0;
    border: 1px solid #ccc;
    max-height: 200px;
    overflow-y: auto;
    position: absolute;
    background: #fff;
    z-index: 10;
    width: 100%;
}

.suggestion-list li {
    padding: 8px 12px;
    cursor: pointer;
}

.suggestion-list li:hover {
    background: #f0f0f0;
}

input, .form-control {
    height: auto; /* Adjust dynamically */
    line-height: 1.5; /* Ensure proper alignment */
}

#uploadFileForm input, #uploadFileForm select{
    height: 45px;
}

